WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Page Builder by SiteOrigin

Build responsive page layouts using the widgets you know and love using this simple drag and drop page builder.

WordPress has evolved into a fully functional CMS. Page Builder (previously called Panels) completes the transition by giving you a way to create responsive column layouts using the widgets you know and love.

Use Your Widgets

You know widgets. They're the things you add to your sidebars. Page Builder makes all your widgets even more useful by turning them into the building blocks of your pages.

We've included a few useful widgets, but it works with a lot of other widgets and plugins out there.

Works with Most Themes

Page Builder works with most well made themes. The only requirement is that your theme supports pages. And if your theme is responsive, change a few settings and boom, your layouts will work with your theme and collapse into a single column on mobile devices.

There are loads free and premium themes that work with the Page Builder, we have our own collection of free themes if you'd like to use one of ours.

Page Builder Documentation is available on SiteOrigin and we offer free support on our support forum. If you're having strange issues, try following this guide.

Bundled Widgets

To get you started, we've include a few widgets:

  • Gallery widget for inserting image galleries.
  • Image widget for inserting standard images.
  • Self hosted video widget for embedding your own videos.
  • Post Loop to display a list of posts. This requires that your theme supports it.

As well as some essential page elements widgets:

  • Button
  • Call to Action
  • List
  • Price Box
  • Animated Image
  • Testimonial

3rd Party Widgets

Most standard widgets work with Page Builder, but here are some of our favorites.

Contact me if you've created a widget that would work well with Page Builder so I can add it to our recommended plugins list. Your plugin will also be recommended within Page Builder itself.

Requires: 3.7 or higher
Compatible up to: 3.9.2
Last Updated: 2014-7-4
Downloads: 675,475

Ratings

4 stars
4.8 out of 5 stars

Support

1 of 39 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

1 person says it works.
0 people say it's broken.

100,1,1 100,1,1 100,2,2 100,1,1 100,1,1 100,1,1 50,2,1 100,2,2 100,1,1 100,1,1 100,1,1
60,5,3 100,1,1 100,1,1
100,1,1 67,3,2 0,2,0 60,5,3 100,2,2 50,2,1 100,2,2 100,1,1 100,1,1
100,3,3 100,1,1 100,1,1 100,2,2
100,1,1
100,5,5
25,4,1 100,1,1
40,5,2 100,3,3 100,2,2 75,8,6
100,1,1 100,1,1
0,1,0 67,3,2 0,2,0
50,2,1 100,2,2 50,6,3
100,1,1